package com.kmall.admin.service.mk.store;

import com.kmall.admin.entity.mk.store.MkStoreCampMinusEntity;

import java.util.List;
import java.util.Map;

/**
 * 门店满减活动Service接口
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-29 14:43:28
 */
public interface MkStoreCampMinusService {

    /**
     * 根据主键查询实体
     *
     * @param campMinusId 主键
     * @return 实体
     */
    MkStoreCampMinusEntity queryObject(Integer campMinusId);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<MkStoreCampMinusEntity> queryList(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param mkStoreCampMinus 实体
     * @return 保存条数
     */
    int save(MkStoreCampMinusEntity mkStoreCampMinus);

    /**
     * 根据主键更新实体
     *
     * @param mkStoreCampMinus 实体
     * @return 更新条数
     */
    int update(MkStoreCampMinusEntity mkStoreCampMinus);

    /**
     * 根据主键删除
     *
     * @param campMinusId
     * @return 删除条数
     */
    int delete(Integer campMinusId);

    /**
     * 根据主键批量删除
     *
     * @param campMinusIds
     * @return 删除条数
     */
    int deleteBatch(Integer[] campMinusIds);

    int updatePastById(MkStoreCampMinusEntity mkStoreCampMinus);
}
